#pragma once

#include "log/log.h"
#include "error_code/error_code.hpp"
#include "clamp_lidar_protobuf.pb.h"
#include "protobuf/load_protobuf.hpp"
#include "wanji_716N_device.h"

class ClampLidarManager {
public:
    ClampLidarManager() = default;
    ~ClampLidarManager() = default;

    Error_manager Init(const std::string &file);

private:
    void thrit ead_func(const std::string &ip_address);

private:
    ClampLidarProjectConfig m_config;
    std::map<std::string, Wanji_716N_lidar_device*> mp_wj_device;
};



